#168 closed defect (fixed)

libblock vs. mcp750

Reported by: Ralf Corsepius Owned by: Victor V. Vengerov
Priority: normal Milestone: 2
Component: lib/block Version: unknown
Severity: major Keywords:
Cc: bugs@…, joel.sherrill@… Blocked By:
Blocking:

Description

gmake[1]: Entering directory `/users/rtems/src/rtems-cvs/build/ppc/powerpc-rtems/c/mcp750/libblock/src'
mkdir o-optimize
powerpc-rtems-gcc --pipe -B../../../../lib/ -B../../../../mcp750/lib/ -specs bsp_specs -
qrtems -O4 -mmultiple -mstring -mstrict-align -g -Wall -mcpu=750 -o o-optimiz
e/bdbuf.o -c ../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c: In function `avl_insert':
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:283: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:298: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:312: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:354: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:370: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c: In function `avl_remove':
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:502: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:529: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:545: warning: comparison is a
lways true due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:572: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:625: warning: comparison is a
lways false due to limited range of data type
../../../../../../../rtems.work/c/src/libblock/src/bdbuf.c:642: warning: comparison is a
lways false due to limited range of data type

Release:
CVS

Environment:
binutils-2.12/gcc-3.0.4

How-To-Repeat:
build libblock for the mcp750.

Attachments (1)

rtems-ss-20020301-bdbuf_avl.patch (1.5 KB) - added by Ralf Corsepius on Dec 3, 2006 at 1:31:13 PM.
rtems-ss-20020301-bdbuf_avl.patch

Download all attachments as: .zip

Change History (5)

comment:1 Changed on Apr 2, 2002 at 4:25:07 PM by Joel Sherrill

Owner: changed from joel to Victor V. Vengerov
Status: assignedwaiting

comment:2 Changed on Apr 3, 2002 at 12:57:28 PM by Joel Sherrill

Status: waitingclosed

State-Changed-From-To: feedback->closed
State-Changed-Why: Fix attached was committed.

Changed on Dec 3, 2006 at 1:31:13 PM by Ralf Corsepius

rtems-ss-20020301-bdbuf_avl.patch

comment:3 Changed on Oct 10, 2017 at 6:35:44 AM by Sebastian Huber

Component: miscunspecified

comment:4 Changed on Oct 10, 2017 at 6:49:52 AM by Sebastian Huber

Component: unspecifiedlib/block
Note: See TracTickets for help on using tickets.